Skip to main content
POST
/
fact-tables
/
{factTableId}
/
filters
/
{id}
cURL
curl -X POST https://api.growthbook.io/api/v1/fact-tables/ftb_abc123/filters/flt_123abc \
  -d '{"value": "amount > 50"}' \
  -u secret_abc123DEF456:
{
  "factTableFilter": {
    "id": "<string>",
    "name": "<string>",
    "description": "<string>",
    "value": "<string>",
    "managedBy": "",
    "dateCreated": "2023-11-07T05:31:56Z",
    "dateUpdated": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Path Parameters

factTableId
string
required

Specify a specific fact table

id
string
required

The id of the requested resource

Body

application/json
name
string
description
string

Description of the fact table filter

value
string

The SQL expression for this filter.

Example:

"country = 'US'"

managedBy
enum<string>

Set this to "api" to disable editing in the GrowthBook UI. Before you do this, the Fact Table itself must also be marked as "api"

Available options:
,
api

Response

200 - application/json

Success

factTableFilter
object
required